Style
Keywords: org.p2c2e.zing.Style class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.p2c2e.zing
Class Style

    java.lang.Object
      org.p2c2e.zing.Style

All Implemented Interfaces:
  java.lang.Cloneable

public class Style
extends java.lang.Object
implements java.lang.Cloneable

Field Summary
`java.awt.Color` | `backColor`
`static int` | `CENTERED`
`java.lang.String` | `family`
`boolean` | `isOblique`
`boolean` | `isUnderlined`
`int` | `justification`
`static int` | `LEFT_FLUSH`
`static int` | `LEFT_RIGHT_FLUSH`
`int` | `leftIndent`
`java.lang.String` | `name`
`int` | `parIndent`
`static int` | `RIGHT_FLUSH`
`int` | `rightIndent`
`int` | `size`
`java.awt.Color` | `textColor`
`java.lang.Float` | `weight`

Constructor Summary
`Style(java.awt.font.FontRenderContext frc, java.lang.String name, java.lang.String fam, int s, java.lang.Float w, boolean oblique, boolean underline, int l, int r, int p, int just, java.awt.Color t, java.awt.Color b)`

Method Summary
`static void` | `addStyle(Style s, int winType)`
`static void` | `apply()`
`java.lang.Object` | `clone()`
`Style` | `getHyperlinked()`
`java.util.Map` | `getMap()`
`static Style` | `getStyle(java.lang.String name, int winType)`
`boolean` | `isMonospace()`
`static void` | `useHints(boolean useHints)`
`static boolean` | `usingHints()`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### LEFT_FLUSH

    public static final int LEFT_FLUSH

See Also:
  Constant Field Values

### RIGHT_FLUSH

    public static final int RIGHT_FLUSH

See Also:
  Constant Field Values

### CENTERED

    public static final int CENTERED

See Also:
  Constant Field Values

### LEFT_RIGHT_FLUSH

    public static final int LEFT_RIGHT_FLUSH

See Also:
  Constant Field Values

### name

    public java.lang.String name

### family

    public java.lang.String family

### isOblique

    public boolean isOblique

### isUnderlined

    public boolean isUnderlined

### size

    public int size

### weight

    public java.lang.Float weight

### leftIndent

    public int leftIndent

### rightIndent

    public int rightIndent

### parIndent

    public int parIndent

### justification

    public int justification

### textColor

    public java.awt.Color textColor

### backColor

    public java.awt.Color backColor

Constructor Detail

### Style

    public Style(java.awt.font.FontRenderContext frc,
                 java.lang.String name,
                 java.lang.String fam,
                 int s,
                 java.lang.Float w,
                 boolean oblique,
                 boolean underline,
                 int l,
                 int r,
                 int p,
                 int just,
                 java.awt.Color t,
                 java.awt.Color b)

Method Detail

### clone

    public java.lang.Object clone()

### isMonospace

    public boolean isMonospace()

### getMap

    public java.util.Map getMap()

### getHyperlinked

    public Style getHyperlinked()

### usingHints

    public static boolean usingHints()

### addStyle

    public static void addStyle(Style s,
                                int winType)

### getStyle

    public static Style getStyle(java.lang.String name,
                                 int winType)

### useHints

    public static void useHints(boolean useHints)

### apply

    public static void apply()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD